Bug 73353 - kernel panic on raidstop
Summary: kernel panic on raidstop
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: raidtools (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On: 73356
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-03 12:28 UTC by Nick (Gunnar) Bluth
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-10 12:22:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump of the observation of /proc/mdstat and the kernel panic (2.79 KB, text/plain)
2002-09-03 12:31 UTC, Nick (Gunnar) Bluth
no flags Details

Description Nick (Gunnar) Bluth 2002-09-03 12:28:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
Doing some experiments with the SAN here. After seeing that syncing 2 RAID 1's simultaneously is very slow, I wanted to speed things up a bit and did a raidstop /dev/md0
Result: kernel panic (see attachment)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make two RAID 1's (/dev/md[01]) using sd[ac]1 and sd[bd]1
on 4 logical drives on a LSI storage (~73 GB each) connected via QLogic 2300 HBA (driven by qla2x00.o)
2. Do a mkraid -R /dev/md[01]
3. Do a raidstop /dev/md1


Actual Results:  Kernel panic

Expected Results:  Obvious.....

Additional info:

Compaq DL 580, 4xXeon 700, 4 GB, Onboard Smart-2
2x Qlogic 2300 FC HBA

Comment 1 Nick (Gunnar) Bluth 2002-09-03 12:31:45 UTC
Created attachment 74684 [details]
Dump of the observation of /proc/mdstat and the kernel panic

Comment 2 Arjan van de Ven 2002-09-03 12:33:36 UTC
qla2x00.o panics.. film at 11...at least it didn't eat your data this time.
 Why aren't you using qla2300.o ?

Comment 3 Nick (Gunnar) Bluth 2002-09-03 13:39:31 UTC
Well, see #73356 
I just did it again without watching /proc/mdstat, and it worked...

Comment 4 Nick (Gunnar) Bluth 2002-09-06 13:00:42 UTC
Ok, I think I have to apologize...  
  
I just learned that the SAN guys made the four disks a 2x2 mirror, 
although they explicitly told me they hadn't...  
This explains some of the problems I had...  
  
Nevertheless, I think the issue concerning "raidstop" while having a   
"while true; do grep sync /proc/mdstat ; sleep 1 ; echo; done" 
seems to be generic to me... 


Comment 5 Larry Woodman 2003-06-23 17:32:50 UTC
This has been fixed in the e.12 kernel errata that was released 
at the beginning of this year.

Larry Woodman



Note You need to log in before you can comment on or make changes to this bug.